Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part Two

Toiminnon aloitustavat:

Lisää - Funktio - Luokka Lisäosa

## IMABS

The result is the absolute value of a complex number.

### Syntax

IMABS("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMABS("5+12j") returns 13.

## IMCOS

Returns the cosine of a complex number.

## IMCOSH

Returns the hyperbolic cosine of a complex number.

## IMCOT

Returns the cotangent of a complex number.

## IMCSC

Returns the cosecant of a complex number.

## IMCSCH

Returns the hyperbolic cosecant of a complex number.

## IMSEC

Returns the secant of a complex number.

## IMSECH

Returns the hyperbolic secant of a complex number.

## IMSIN

Returns the sine of a complex number.

## IMSINH

Returns the hyperbolic sine of a complex number.

## IMTAN

Returns the tangent of a complex number.

## COMPLEX

The result is a complex number which is returned from a real coefficient and an imaginary coefficient.

### Syntax

COMPLEX(RealNum; INum; Suffix)

RealNum is the real coefficient of the complex number.

INum is the imaginary coefficient of the complex number.

Suffix is a list of options, "i" or "j".

### Example

=COMPLEX(3;4;"j") returns 3+4j.

## CONVERT

Converts a value from one unit of measure to the corresponding value in another unit of measure. Enter the units of measures directly as text in quotation marks or as a reference. If you enter the units of measure in cells, they must correspond exactly with the following list which is case sensitive: For example, in order to enter a lower case l (for liter) in a cell, enter the apostrophe ' immediately followed by l.

Property | Units
Weight | g, sg, lbm, u, ozm, stone, ton, grain, pweight, hweight, shweight, brton
Length | m, mi, Nmi, in, ft, yd, ang, Pica, ell, parsec, lightyear, survey_mi
Time | yr, day, hr, mn, sec, s
Pressure | Pa, atm, at, mmHg, Torr, psi
Force | N, dyn, dy, lbf, pond
Energy | J, e, c, cal, eV, ev, HPh, Wh, wh, flb, BTU, btu
Power | W, w, HP, PS
Field strength | T, ga
Temperature | C, F, K, kel, Reau, Rank
Volume | l, L, lt, tsp, tbs, oz, cup, pt, us_pt, qt, gal, m3, mi3, Nmi3, in3, ft3, yd3, ang3, Pica3, barrel, bushel, regton, Schooner, Middy, Glass
Area | m2, mi2, Nmi2, in2, ft2, yd2, ang2, Pica2, Morgen, ar, acre, ha
Speed | m/s, m/sec, m/h, mph, kn, admkn
Information | bit, byte

Units of measure in bold can be preceded by a prefix character from the following list:

Prefix | Multiplier
Y (yotta) | 10^24
Z (zetta) | 10^21
E (exa) | 10^18
P (peta) | 10^15
T (tera) | 10^12
G (giga) | 10^9
M (mega) | 10^6
k (kilo) | 10^3
h (hecto) | 10^2
e (deca) | 10^1
d (deci) | 10^-1
c (centi) | 10^-2
m (milli) | 10^-3
u (micro) | 10^-6
n (nano) | 10^-9
p (pico) | 10^-12
f (femto) | 10^-15
a (atto) | 10^-18
z (zepto) | 10^-21
y (yocto) | 10^-24

Information units "bit" and "byte" may also be prefixed by one of the following IEC 60027-2 / IEEE 1541 prefixes:

ki kibi 1024

Mi mebi 1048576

Gi gibi 1073741824

Ti tebi 1099511627776

Pi pebi 1125899906842620

Ei exbi 1152921504606850000

Zi zebi 1180591620717410000000

Yi yobi 1208925819614630000000000

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

### Syntax

CONVERT(Number; "FromUnit"; "ToUnit")

Number is the number to be converted.

FromUnit is the unit from which conversion is taking place.

ToUnit is the unit to which conversion is taking place. Both units must be of the same type.

### Example

=CONVERT(10;"HP";"PS") returns, rounded to two decimal places, 10.14. 10 HP equal 10.14 PS.

=CONVERT(10;"km";"mi") returns, rounded to two decimal places, 6.21. 10 kilometers equal 6.21 miles. The k is the permitted prefix character for the factor 10^3.

## FACTDOUBLE

Returns the double factorial of a number.

### Syntax

FACTDOUBLE(Number)

Returns Number !!, the double factorial of Number, where Number is an integer greater than or equal to zero.

For even numbers FACTDOUBLE(n) returns:

2*4*6*8* ... *n

For odd numbers FACTDOUBLE(n) returns:

1*3*5*7* ... *n

FACTDOUBLE(0) returns 1 by definition.

### Example

=FACTDOUBLE(5) returns 15.

=FACTDOUBLE(6) returns 48.

=FACTDOUBLE(0) returns 1.

## IMAGINARY

The result is the imaginary coefficient of a complex number.

### Syntax

IMAGINARY("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMAGINARY("4+3j") returns 3.

## IMARGUMENT

The result is the argument (the phi angle) of a complex number.

### Syntax

IMARGUMENT("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMARGUMENT("3+4j") returns 0.927295.

## IMCONJUGATE

The result is the conjugated complex complement to a complex number.

### Syntax

IMCONJUGATE("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMCONJUGATE("1+j") returns 1-j.

## IMDIV

The result is the division of two complex numbers.

### Syntax

IMDIV("Numerator"; "Denominator")

Numerator, Denominator are complex numbers that are entered in the form "x+yi" or "x+yj".

### Example

=IMDIV("-238+240i";"10+24i") returns 5+12i.

## IMEXP

The result is the power of e and the complex number. The constant e has a value of approximately 2.71828182845904.

### Syntax

IMEXP("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMEXP("1+j") returns 1.47+2.29j (rounded).

## IMLN

The result is the natural logarithm (to the base e) of a complex number. The constant e has a value of approximately 2.71828182845904.

### Syntax

IMLN("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMLN("1+j") returns 0.35+0.79j (rounded).

## IMLOG10

The result is the common logarithm (to the base 10) of a complex number.

### Syntax

IMLOG10("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMLOG10("1+j") returns 0.15+0.34j (rounded).

## IMLOG2

The result is the binary logarithm of a complex number.

### Syntax

IMLOG2("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMLOG2("1+j") returns 0.50+1.13j (rounded).

## IMPOWER

The result is the ComplexNumber raised to the power of Number.

### Syntax

IMPOWER("ComplexNumber"; Number)

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

Number is the exponent.

### Example

=IMPOWER("2+3i";2) returns -5+12i.

## IMPRODUCT

The result is the product of up to 29 complex numbers.

### Syntax

IMPRODUCT("ComplexNumber"; "ComplexNumber1"; ...)

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMPRODUCT("3+4j";"5-3j") returns 27+11j.

## IMREAL

The result is the real coefficient of a complex number.

### Syntax

IMREAL("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMREAL("1+3j") returns 1.

## IMSQRT

The result is the square root of a complex number.

### Syntax

IMSQRT("ComplexNumber")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMSQRT("3+4i") returns 2+1i.

## IMSUB

The result is the subtraction of two complex numbers.

### Syntax

IMSUB("ComplexNumber1"; "ComplexNumber2")

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMSUB("13+4j";"5+3j") returns 8+j.

## IMSUM

The result is the sum of up to 29 complex numbers.

### Syntax

IMSUM("ComplexNumber1"; "ComplexNumber2"; ...)

ComplexNumber is a complex number that is entered in the form "x+yi" or "x+yj".

### Example

=IMSUM("13+4j";"5+3j") returns 18+7j.

## OCT2BIN

The result is the binary number for the octal number entered.

### Syntax

OCT2BIN(Number; Places)

Number is the octal number. The number can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Places is the number of places to be output.

### Example

=OCT2BIN(3;3) returns 011.

## OCT2DEC

The result is the decimal number for the octal number entered.

### Syntax

OCT2DEC(Number)

Number is the octal number. The number can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

### Example

=OCT2DEC(144) returns 100.

## OCT2HEX

The result is the hexadecimal number for the octal number entered.

### Syntax

OCT2HEX(Number; Places)

Number is the octal number. The number can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Places is the number of places to be output.

### Example

=OCT2HEX(144;4) returns 0064.

Aiheeseen liittyvää

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category